cascading.flow.hadoop

## Class MapReduceFlowStep

- java.lang.Object
- - cascading.flow.planner.BaseFlowStep<JobConf>
  - - cascading.flow.hadoop.HadoopFlowStep
    - - cascading.flow.hadoop.MapReduceFlowStep

- All Implemented Interfaces:
    FlowStep<JobConf>, ProcessModel, ProcessLogger, Serializable

      public class MapReduceFlowStep
      extends HadoopFlowStep

  Class MapReduceFlowStep wraps a `JobConf` and allows it to be executed as a `Flow`.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class cascading.flow.planner.BaseFlowStep

      `flowStepStats, sinks, sources, tempSink`

    - ### Fields inherited from interface cascading.flow.FlowStep

      `CASCADING_FLOW_STEP_ID`

    - ### Fields inherited from interface cascading.util.ProcessLogger

      `NULL`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `MapReduceFlowStep(String flowName, String stepName, ElementGraph elementGraph, FlowNodeGraph flowNodeGraph, JobConf jobConf)`
    `protected` | `MapReduceFlowStep(String flowName, String stepName, JobConf jobConf, Tap sink)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected static FlowNodeGraph` | `createFlowNodeGraph(JobConf jobConf)`
    `JobConf` | `createInitializedConfig(FlowProcess<JobConf> flowProcess, JobConf parentConfig)`

    - ### Methods inherited from class cascading.flow.hadoop.HadoopFlowStep

      `clean, cleanIntermediateData, createFlowStepJob, getConfigAsProperties, initFromSink, initFromSources, initFromTraps, isHadoopLocalMode`

    - ### Methods inherited from class cascading.flow.planner.BaseFlowStep

      `addAllGroups, addGroup, addGroups, addListener, addProcessAnnotation, addProcessAnnotation, addSink, addSinks, addSource, addSources, clean, commitSinks, configure, containsPipeNamed, createClientState, equals, fireOnCompleted, fireOnRunning, fireOnStarting, fireOnStopping, fireOnThrowable, getAllAccumulatedSources, getAllOperations, getAnnotations, getConfig, getCreateFlowStepJob, getElementGraph, getFlow, getFlowID, getFlowName, getFlowNodeGraph, getFlowStepDescriptor, getFlowStepJob, getFlowStepStats, getGroup, getGroups, getID, getName, getNextFlowElement, getNextScope, getNodeDisplayName, getNumFlowNodes, getOrdinal, getPreviousScopes, getProcessAnnotations, getSink, getSinkElements, getSinkName, getSinkTaps, getSinkWith, getSourceElements, getSourceName, getSourceTaps, getSourceWith, getStepDisplayName, getStepDisplayName, getSubmitPriority, getTrap, getTrapMap, getTraps, hashCode, hasListeners, initConfFromNodeConfigDef, initConfFromStepConfigDef, isDebugEnabled, isInfoEnabled, logDebug, logError, logError, logInfo, logWarn, logWarn, logWarn, prepareResources, removeListener, rollbackSinks, setConfig, setFlow, setFlowName, setFlowStepDescriptor, setFlowStepStats, setName, setOrdinal, setSubmitPriority, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MapReduceFlowStep

          protected MapReduceFlowStep(String flowName,
                           String stepName,
                           JobConf jobConf,
                           Tap sink)

    - #### MapReduceFlowStep

          protected MapReduceFlowStep(String flowName,
                           String stepName,
                           ElementGraph elementGraph,
                           FlowNodeGraph flowNodeGraph,
                           JobConf jobConf)

  - ### Method Detail

    - #### createInitializedConfig

          public JobConf createInitializedConfig(FlowProcess<JobConf> flowProcess,
                                        JobConf parentConfig)

      Overrides:
        `createInitializedConfig` in class `HadoopFlowStep`

    - #### createFlowNodeGraph

          protected static FlowNodeGraph createFlowNodeGraph(JobConf jobConf)

Copyright © 2007-2015 Concurrent, Inc. All Rights Reserved.